Name: libstroke
Version: 0.5.1
Release: alt7

Summary: Stroke interface library
License: GPL
Group: System/Libraries
Url: http://www.etla.net/%name

Source: %url/%name-%version.tar.bz2
Source1: smr.m4
Source2: libstroke.m4
Source3: libgstroke.m4

Patch1: %name-0.5.1-alt-compile.patch
Patch2: %name-0.5.1-alt-smr.patch
Patch3: %name-0.5.1-alt-makefile.patch

%def_disable static

BuildRequires: gtk+-devel

%description
LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.
Strokes are used extensively in CAD programs.  I fell in love
with them when I was using the Mentor Graphics CAD tools and
the CAD tools internally developed by Intel.  I am writing this
library so that others can see how useful strokes can be and so
that more programs take advantage of this extremely natural
human-computer interface.

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel
This package contains development files required to build
%name-based software.

%description devel-static
This package contains static library required to build
statically linked %name-based software.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
install -p -m644 %SOURCE1 %SOURCE2 %SOURCE3 .
%__subst '/^[[:space:]]*#/ d;/^EXTRA_DIST *= *$/ d' lib*/Makefile.am

%build
autoreconf -fisv
%configure %{subst_enable static}
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog COPYRIGHT CREDITS NEWS README* TODO doc/standard_strokes.*

%files devel
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Fri Mar 10 2006 Dmitry V. Levin <ldv@altlinux.org> 0.5.1-alt7
- Linked libgstroke with -lgtk.

* Thu Apr 14 2005 Dmitry V. Levin <ldv@altlinux.org> 0.5.1-alt6
- Fixed build with fresh autotools.

* Sun Nov 30 2003 Dmitry V. Levin <ldv@altlinux.org> 0.5.1-alt5
- Do not package .la files.

* Fri Oct 03 2003 Dmitry V. Levin <ldv@altlinux.org> 0.5.1-alt4
- Explicitly use old autotools for build.
- Do not build static library by default.

* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5.1-alt3
- rebuild

* Fri Dec 28 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.5.1-alt2
- Fixed smr_* macros duplication.

* Wed Nov 07 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.5.1-alt1
- Initial revision.
